{
    "attributes": {
        "NOTE": {
            "isGenerated": false,
            "key": "NOTE",
            "origin": "af331703-4a34-4b41-bd02-8ac2eba2ec18",
            "type": "STRING",
            "value": "Usage of 'time_start_and_duration' is deprecated in v1.2.5"
        },
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "af331703-4a34-4b41-bd02-8ac2eba2ec18",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "af331703-4a34-4b41-bd02-8ac2eba2ec18",
            "type": "STRING",
            "value": "Check that Secured CAM generation time is inside the validity period of the signing certificate;\r\nCheck that message generation time value is realistic"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "af331703-4a34-4b41-bd02-8ac2eba2ec18",
            "type": "STRING",
            "value": "with\r\n\tthe IUT being in the 'authorized' state\r\n\tthe IUT being requested to include certificate in the next CAM \r\nensure that\r\n\twhen\r\n\t\tthe IUT is requested to send CAM\r\n\tthen\r\n\t\tthe IUT sends a SecuredMessage\r\n\t\t\tcontaining header_fields ['generation_time']\r\n\t\t\t\tcontaining generation_time\r\n\t\t\t\t\tindicating GEN_TIME (CUR_TIME - 5min <= GEN_TIME <= CUR_TIME + 5min)\r\n\t\t\tand containing header_fields ['signer_info']\r\n\t\t\t\tcontaining signer\r\n\t\t\t\t\tcontaining type\r\n\t\t\t\t\t\tindicating 'certificate'\r\n\t\t\t\t\tand containing certificate\r\n\t\t\t\t\t\tcontaining validity_restrictions['time_end']\r\n\t\t\t\t\t\t\tcontaining end_validity\r\n\t\t\t\t\t\t\t\tindicating value > GEN_TIME\r\n\t\t\t\t\t\tor containing validity_restrictions['time_start_and_end']\r\n\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\tindicating value <= GEN_TIME\r\n\t\t\t\t\t\t\tand containing end_validity\r\n\t\t\t\t\t\t\t\tindicating value > GEN_TIME\r\n\t\t\t\t\t\tor containing validity_restrictions['time_start_and_duration']\r\n\t\t\t\t\t\t\tcontaining start_validity (X_START_VALIDITY)\r\n\t\t\t\t\t\t\t\tindicating value <= GEN_TIME\r\n\t\t\t\t\t\t\tand containing duration\r\n\t\t\t\t\t\t\t\tindicating value > GEN_TIME - X_START_VALIDITY"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "af331703-4a34-4b41-bd02-8ac2eba2ec18",
            "type": "STRING",
            "value": "complete"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "af331703-4a34-4b41-bd02-8ac2eba2ec18",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "af331703-4a34-4b41-bd02-8ac2eba2ec18"
}